curl --request POST \
--url https://api.devin.ai/v3/organizations/{org_id}/code-scans/ingestion \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"profile_id": "<string>",
"repo_name": "<string>",
"attachment_urls": [
"<string>"
],
"host": "<string>"
}
'import requests
url = "https://api.devin.ai/v3/organizations/{org_id}/code-scans/ingestion"
payload = {
"profile_id": "<string>",
"repo_name": "<string>",
"attachment_urls": ["<string>"],
"host": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
profile_id: '<string>',
repo_name: '<string>',
attachment_urls: ['<string>'],
host: '<string>'
})
};
fetch('https://api.devin.ai/v3/organizations/{org_id}/code-scans/ingestion', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"created_at": 123,
"host": "<string>",
"org_id": "<string>",
"profile": {
"name": "<string>",
"profile_id": "<string>"
},
"repo_name": "<string>",
"scan_id": "<string>",
"scan_type": "security",
"status": "waiting"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}{
"status": 123,
"title": "<string>",
"detail": "<string>",
"errors": [
{}
],
"instance": "<string>",
"type": "about:blank"
}Ingestion-Scan starten (Devin API)
Starten Sie einen Devin Code-Scan im Ingestion-Modus, der Befunde eines externen Scanners mithilfe eines Ingestionsprofils über die v3-API für Organisationen triagiert
Berechtigungen
UseCodeScans auf Organisationsebene.
Verhalten
Anfragefelder
repo_name(erforderlich): vollständiger Name des Repositorys, z. B.owner/repo.profile_id(erforderlich): ein Scan-Profil im Modusingest. Ein Profil im Modusdiscoverwird mit400abgewiesen.host: Git-Host des Repositorys, sofern er nicht abgeleitet werden kann.attachment_urls: Devin-Anhang-URLs (zum Beispiel ein exportierter Scannerbericht), die dem Scan als Eingabe bereitgestellt werden. Laden Sie Dateien zuerst über die Attachments API hoch, wofür die BerechtigungUseDevinSessionserforderlich ist.
Fehler
400, wennprofile_idkein Profil im Ingestion-Modus ist.404, wenn das Repository oder Profil für die Organisation nicht sichtbar ist.409, wenn die Scan-Warteschlange der Organisation ausgelastet ist. Versuchen Sie es später erneut.
Autorisierungen
Servicebenutzer-Anmeldedaten (Präfix: cog_)
Pfadparameter
Organisations-ID (Präfix: org-)
"org-abc123def456"
Body
Anfragetext zum Starten eines Code-Scans im Ingestion-Modus.
Akzeptiert nur ein Scanprofil für die Ingestion (Ingest-Modus): Das Profil wird für das angegebene Repository ausgeführt.
Auszuführendes Scanprofil im Ingestion-Modus. Muss ein Ingest-Profil sein; Nicht-Ingest-Profile werden mit 400 abgewiesen.
Vollständiger Name des zu scannenden Repositorys.
Devin-Anhang-URLs, die dem Scan bereitgestellt werden, z. B. über die Attachments-API hochgeladene Dateien. Die Anhänge müssen zu der gescannten Organisation gehören.
101 - 2083Git-Host des Repositorys, falls bekannt.
Antwort
Erfolgreiche Antwort
Ein einzelner Code-Scan.
Zeitpunkt, zu dem der Scan erstellt wurde (Unix-Sekunden).
Git-Host des Repositorys, falls bekannt.
Organisation, zu der der Scan gehört.
Profil, unter dem der Scan ausgeführt wurde, falls vorhanden.
Show child attributes
Show child attributes
Primäres Repository des Scans. Multi-Repo-Scans umfassen zusätzliche Repositorys, die hier nicht aufgeführt sind.
Eindeutige Kennung des Scans.
Typ des Scans, bei der Erstellung festgelegt.
security, performance, db-queries, test-coverage, dead-code, code-quality, telemetry, accessibility, general, migration-docs Scan-Status: waiting, pending, running, awaiting_user_input, completed, failed oder cancelled.
waiting, pending, running, awaiting_user_input, completed, failed, cancelled 
